Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.valuerange.descriptor
Class AbstractFromPropertyValueRangeDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.valuerange.descriptor.AbstractValueRangeDescriptor
          org.optaplanner.core.impl.domain.valuerange.descriptor.AbstractFromPropertyValueRangeDescriptor

All Implemented Interfaces:
  ValueRangeDescriptor

Direct Known Subclasses:
  FromEntityPropertyValueRangeDescriptor, FromSolutionPropertyValueRangeDescriptor

    public abstract class AbstractFromPropertyValueRangeDescriptor

extends AbstractValueRangeDescriptor

Field Summary
`protected boolean` | `collectionWrapping`
`protected boolean` | `countable`
`protected ReadMethodAccessor` | `readMethodAccessor`

Fields inherited from class org.optaplanner.core.impl.domain.valuerange.descriptor.AbstractValueRangeDescriptor
`addNullInValueRange, variableDescriptor`

Constructor Summary
`AbstractFromPropertyValueRangeDescriptor(GenuineVariableDescriptor variableDescriptor, boolean addNullInValueRange, Method readMethod)`

Method Summary
`boolean` | `isCountable()`
`protected ValueRange<?>` | `readValueRange(Object bean)`

Methods inherited from class org.optaplanner.core.impl.domain.valuerange.descriptor.AbstractValueRangeDescriptor
`doNullInValueRangeWrapping, getVariableDescriptor, mightContainEntity, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.domain.valuerange.descriptor.ValueRangeDescriptor
`extractValueRange, isEntityIndependent`

Field Detail

### readMethodAccessor

    protected final ReadMethodAccessor readMethodAccessor

### collectionWrapping

    protected boolean collectionWrapping

### countable

    protected boolean countable

Constructor Detail

### AbstractFromPropertyValueRangeDescriptor

    public AbstractFromPropertyValueRangeDescriptor(GenuineVariableDescriptor variableDescriptor,
                                                    boolean addNullInValueRange,
                                                    Method readMethod)

Method Detail

### isCountable

    public boolean isCountable()

  Returns:
    true if the `ValueRange` is countable (for example a double value range between 1.2 and 1.4 is not countable)

### readValueRange

    protected ValueRange<?> readValueRange(Object bean)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.